
@article{andreoli2001,
  title = {Focussing and Proof Construction},
  author = {Andreoli, Jean-Marc},
  year = {2001},
  volume = {107},
  pages = {131--163},
  publisher = {{Elsevier}},
  isbn = {0168-0072},
  journal = {Annals of Pure and Applied Logic},
  number = {1-3}
}

@incollection{bove2009,
  title = {A {{Brief Overview}} of {{Agda}} \textendash{} {{A Functional Language}} with {{Dependent Types}}},
  booktitle = {Theorem {{Proving}} in {{Higher Order Logics}}},
  author = {Bove, Ana and Dybjer, Peter and Norell, Ulf},
  editor = {Berghofer, Stefan and Nipkow, Tobias and Urban, Christian and Wenzel, Makarius},
  year = {2009},
  volume = {5674},
  pages = {73--78},
  publisher = {{Springer Berlin Heidelberg}},
  address = {{Berlin, Heidelberg}},
  doi = {10.1007/978-3-642-03359-9_6},
  url = {http://link.springer.com/10.1007/978-3-642-03359-9_6},
  urldate = {2019-07-22},
  abstract = {We give an overview of Agda, the latest in a series of dependently typed programming languages developed in Gothenburg. Agda is based on Martin-Lo\textasciidieresis{}f's intuitionistic type theory but extends it with numerous programming language features. It supports a wide range of inductive data types, including inductive families and inductive-recursive types, with associated flexible pattern-matching. Unlike other proof assistants, Agda is not tactic-based. Instead it has an Emacs-based interface which allows programming by gradual refinement of incomplete type-correct terms.},
  file = {/home/bram/Documenten/Zotero/storage/4ZRYC6SE/Bove e.a. - 2009 - A Brief Overview of Agda – A Functional Language w.pdf},
  isbn = {978-3-642-03358-2 978-3-642-03359-9},
  keywords = {Agda},
  language = {en}
}

@article{buszkowski1990,
  title = {Categorial Grammars Determined from Linguistic Data by Unification},
  author = {Buszkowski, Wojciech and Penn, Gerald},
  year = {1990},
  month = dec,
  volume = {49},
  pages = {431--454},
  issn = {0039-3215, 1572-8730},
  doi = {10.1007/BF00370157},
  url = {http://link.springer.com/10.1007/BF00370157},
  urldate = {2019-05-20},
  abstract = {We provide an algorithm for determining a categorial grammar from linguistic data that essentially uses unification of type-schemes assigned to atoms. The algorithm presented here extends an earlier one restricted to rigid categorial grammars, introduced in [4] and [5], by admitting non-rigid eutputs. The key innovation is the notion of an optimal unifier, a natural generalization of that of a most general unifier.},
  file = {/home/bram/Documenten/Zotero/storage/75EAWUSL/BuszKowski en Penn - 1990 - Categorial grammars determined from linguistic dat.pdf},
  journal = {Studia Logica},
  keywords = {Type Inference},
  language = {en},
  number = {4}
}

@inproceedings{debruijn1972,
  title = {Lambda Calculus Notation with Nameless Dummies, a Tool for Automatic Formula Manipulation, with Application to the {{Church}}-{{Rosser}} Theorem},
  booktitle = {Indagationes {{Mathematicae}} ({{Proceedings}})},
  author = {De Bruijn, Nicolaas Govert},
  year = {1972},
  volume = {75},
  pages = {381--392},
  publisher = {{Elsevier}},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/De Bruijn - Lambda calculus notation with nameless dummies, a tool for automatic formula.pdf},
  isbn = {1385-7258}
}

@book{girard1989,
  title = {Proofs and Types},
  author = {Girard, Jean-Yves},
  year = {1989},
  publisher = {{Cambridge University Press}},
  address = {{Cambridge [England] ; New York}},
  file = {/home/bram/Documenten/Zotero/storage/XV7XPUM3/Girard - 1989 - Proofs and types.pdf},
  isbn = {978-0-521-37181-0},
  keywords = {Lambda calculus},
  language = {en},
  lccn = {QA9.5 .G57 1989},
  number = {7},
  series = {Cambridge Tracts in Theoretical Computer Science}
}

@article{gundry2013,
  title = {A Tutorial Implementation of Dynamic Pattern Unification},
  author = {Gundry, Adam and McBride, Conor},
  year = {2013},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Gundry, McBride - Dynamic Pattern Unification.pdf},
  journal = {Unpublished draft},
  keywords = {Unification}
}

@article{huet1997,
  title = {The {{Zipper}}},
  author = {Huet, G{\'e}rard},
  year = {1997},
  volume = {7},
  pages = {549--554},
  issn = {1469-7653},
  file = {/home/bram/Documenten/Zotero/storage/8972F8WB/zip.pdf},
  journal = {Journal of functional programming},
  number = {5}
}

@inproceedings{irving2016,
  title = {{{DeepMath}}-Deep Sequence Models for Premise Selection},
  booktitle = {Advances in {{Neural Information Processing Systems}}},
  author = {Irving, Geoffrey and Szegedy, Christian and Alemi, Alexander A. and Een, Niklas and Chollet, Fran{\c c}ois and Urban, Josef},
  year = {2016},
  pages = {2235--2243},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Chollet - Deepmath.pdf}
}

@article{kaliszyk2017,
  title = {Holstep: {{A}} Machine Learning Dataset for Higher-Order Logic Theorem Proving},
  author = {Kaliszyk, Cezary and Chollet, Fran{\c c}ois and Szegedy, Christian},
  year = {2017},
  journal = {arXiv preprint arXiv:1703.00426}
}

@book{kanazawa1995,
  title = {Learnable Classes of Categorial Grammars.},
  author = {Kanazawa, Makoto},
  year = {1995},
  keywords = {Type Inference}
}

@article{kanazawa1996,
  title = {Identification in the Limit of Categorial Grammars},
  author = {Kanazawa, Makoto},
  year = {1996},
  month = apr,
  volume = {5},
  issn = {0925-8531, 1572-9583},
  doi = {10.1007/BF00173697},
  url = {http://link.springer.com/10.1007/BF00173697},
  urldate = {2019-05-29},
  abstract = {It is proved that for any k, the class of classical categorial grammars that assign at most k types to each symbol in the alphabet is learnable, in the Gold (1967) sense of identificationin the limit from positive data. The proof crucially relies on the fact that the concept known as finite elasticity in the inductive inference literature is preserved under the inverse image of a finite-valued relation. The learning algorithm presented here incorporates Buszkowski and Penn's (1990) algorithm for determining categorial grammars from input consisting of functor-argument structures.},
  file = {/home/bram/Documenten/Zotero/storage/9MFA4I6B/Kanazawa - 1996 - Identification in the limit of categorial grammars.pdf},
  journal = {Journal of Logic, Language and Information},
  keywords = {Type Inference},
  language = {en},
  number = {2}
}

@article{kieran2004,
  title = {Inferior {{Vena Cava Agenesis}} with {{Paravertebral Muscle Collateralisation}}},
  author = {Kieran, S. and Neary, P. and Owens, A. and Mehigan, D.},
  year = {2004},
  month = dec,
  volume = {8},
  pages = {127--129},
  issn = {15333167},
  doi = {10.1016/j.ejvsextra.2004.09.009},
  url = {https://linkinghub.elsevier.com/retrieve/pii/S1533316704000500},
  urldate = {2019-11-19},
  abstract = {The introduction of unary connectives has proved to be an important addition to the categorial vocabulary. The connectives considered so far are order-preserving; in this paper instead, we consider the addition of order-reversing, Galois connected operators. In \textsection{}2 we do the basic model-theoretic and proof-theoretic groundwork. In \textsection{}3 we use the expressive power of the Galois connected operators to restrict the scopal possibilities of generalized quantifier expressions, and to describe a typology of polarity items.},
  file = {/home/bram/Documenten/Zotero/storage/7SNDKM2B/Kieran e.a. - 2004 - Inferior Vena Cava Agenesis with Paravertebral Mus.pdf},
  journal = {EJVES Extra},
  language = {en},
  number = {6}
}

@article{kokke2014,
  title = {Modelling {{Substructural Logics}} in {{Agda}}},
  author = {Kokke, Pepijn},
  year = {2014},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Kokke - Substructural Logics in Agda.pdf},
  keywords = {Agda}
}

@inproceedings{kokke2015,
  title = {Auto in Agda},
  booktitle = {International {{Conference}} on {{Mathematics}} of {{Program Construction}}},
  author = {Kokke, Pepijn and Swierstra, Wouter},
  year = {2015},
  pages = {276--301},
  publisher = {{Springer}},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Kokke, Swierstra - Auto in Agda.pdf},
  keywords = {Agda}
}

@article{kokke2016,
  title = {{{NLQ}}: A Modular Type-Logical Grammar for Quantifier Movement, Scope Islands, and More},
  author = {Kokke, Wen},
  year = {2016},
  file = {/home/bram/Documenten/Zotero/storage/C9WDKQDT/msc2016.pdf},
  keywords = {Agda}
}

@article{kokke2017,
  title = {Formalising Type-Logical Grammars in {{Agda}}},
  author = {Kokke, Wen},
  year = {2017},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Kokke - Formalizing Type Logical Grammars in Agda.pdf},
  journal = {arXiv preprint arXiv:1709.00728},
  keywords = {Agda}
}

@article{kokke2019,
  title = {Taking {{Linear Logic Apart}}},
  author = {Kokke, Wen and Montesi, Fabrizio and Peressotti, Marco},
  year = {2019},
  month = apr,
  volume = {292},
  pages = {90--103},
  issn = {2075-2180},
  doi = {10.4204/EPTCS.292.5},
  url = {http://arxiv.org/abs/1904.06848v1},
  urldate = {2019-05-13},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Kokke et al - Taking Linear Logic Apart.pdf},
  journal = {Electronic Proceedings in Theoretical Computer Science},
  keywords = {Agda},
  language = {en}
}

@article{lambek,
  title = {Remarks on the History of Categorial Grammar},
  author = {Lambek, J},
  pages = {8},
  file = {/home/bram/Documenten/Zotero/storage/322KPYQN/Lambek - Remarks on the history of categorial grammar.pdf},
  language = {en}
}

@article{lambek1958,
  title = {The Mathematics of Sentence Structure},
  author = {Lambek, Joachim},
  year = {1958},
  volume = {65},
  pages = {154--170},
  journal = {The American Mathematical Monthly},
  number = {3}
}

@article{lambek1961,
  title = {On the Calculus of Syntactic Types},
  author = {Lambek, Joachim},
  year = {1961},
  volume = {12},
  pages = {166--178},
  journal = {Structure of language and its mathematical aspects}
}

@inproceedings{lindblad2004,
  title = {A Tool for Automated Theorem Proving in {{Agda}}},
  booktitle = {International {{Workshop}} on {{Types}} for {{Proofs}} and {{Programs}}},
  author = {Lindblad, Fredrik and Benke, Marcin},
  year = {2004},
  pages = {154--169},
  publisher = {{Springer}}
}

@article{mcbride2003,
  title = {First-Order Unification by Structural Recursion},
  author = {Mcbride, Conor},
  year = {2003},
  month = nov,
  volume = {13},
  pages = {1061--1075},
  issn = {09567968, 14697653},
  doi = {10.1017/S0956796803004957},
  url = {http://www.journals.cambridge.org/abstract_S0956796803004957},
  urldate = {2019-05-24},
  abstract = {First-order unification algorithms (Robinson, 1965) are traditionally implemented via general recursion, with separate proofs for partial correctness and termination. The latter tends to involve counting the number of unsolved variables and showing that this total decreases each time a substitution enlarges the terms. There are many such proofs in the literature (Manna \& Waldinger, 1981; Paulson, 1985; Coen, 1992; Rouyer, 1992; Jaume, 1997; Bove, 1999). This paper shows how a dependent type can relate terms to the set of variables over which they are constructed. As a consequence, first-order unification becomes a structurally recursive program, and a termination proof is no longer required. Both the program and its correctness proof have been checked using the proof assistant Lego (Luo \& Pollack, 1992; McBride, 1999).},
  file = {/home/bram/Documenten/Zotero/storage/Q4CSARE8/Mcbride - 2003 - First-order unification by structural recursion.pdf},
  journal = {Journal of Functional Programming},
  keywords = {Unification},
  language = {en},
  number = {6}
}

@article{mcbride2018,
  title = {A Polynomial Testing Principle},
  author = {McBride, Conor},
  year = {2018},
  pages = {14},
  abstract = {Two polynomial functions of degree at most n agree on all inputs if they agree on n + 1 different inputs, e.g., on \{0, 1, 2, . . . , n\}. This fact gives us a simple procedure for testing equivalence in a language of polynomial expressions. Moreover, we may readily extend this language to include a summation operator and test standard results which are usually established inductively.},
  file = {/home/bram/Documenten/Zotero/storage/E3P6CAHB/McBride - A polynomial testing principle.pdf},
  language = {en}
}

@article{moortgat1996,
  title = {Multimodal Linguistic Inference},
  author = {Moortgat, Michael},
  year = {1996},
  volume = {5},
  pages = {349--385},
  journal = {Journal of Logic, Language and Information},
  number = {3-4}
}

@incollection{moortgat1997,
  title = {Categorial Type Logics},
  booktitle = {Handbook of Logic and Language},
  author = {Moortgat, Michael},
  year = {1997},
  pages = {93--177},
  publisher = {{Elsevier}},
  file = {/home/bram/Documenten/Zotero/storage/59JRSRAA/Moortgat - Categorial Type Logics.pdf}
}

@book{moot2012,
  title = {The {{Logic}} of {{Categorial Grammars}}: {{A Deductive Account}} of {{Natural Language Syntax}} and {{Semantics}}},
  shorttitle = {The {{Logic}} of {{Categorial Grammars}}},
  author = {Moot, Richard and Retor{\'e}, Christian},
  year = {2012},
  volume = {6850},
  publisher = {{Springer Berlin Heidelberg}},
  address = {{Berlin, Heidelberg}},
  doi = {10.1007/978-3-642-31555-8},
  url = {http://link.springer.com/10.1007/978-3-642-31555-8},
  urldate = {2020-02-15},
  file = {/home/bram/Documenten/Zotero/storage/G3GUAU8W/Moot en Retoré - 2012 - The Logic of Categorial Grammars A Deductive Acco.pdf},
  isbn = {978-3-642-31554-1 978-3-642-31555-8},
  language = {en},
  series = {Lecture {{Notes}} in {{Computer Science}}}
}

@article{negri2001,
  title = {Sequent Calculus in Natural Deduction Style},
  author = {Negri, Sara and {von Plato}, Jan},
  year = {2001},
  month = dec,
  volume = {66},
  pages = {1803--1816},
  issn = {0022-4812, 1943-5886},
  doi = {10.2307/2694976},
  url = {https://www.cambridge.org/core/product/identifier/S0022481200010306/type/journal_article},
  urldate = {2020-03-03},
  abstract = {Abstract.
            A sequent calculus is given in which the management of weakening and contraction is organized as in natural deduction. The latter has no explicit weakening or contraction, but vacuous and multiple discharges in rules that discharge assumptions. A comparison to natural deduction is given through translation of derivations between the two systems. It is proved that if a cut formula is never principal in a derivation leading to the right premiss of cut, it is a subformula of the conclusion. Therefore it is sufficient to eliminate those cuts that correspond to detour and permutation conversions in natural deduction.},
  file = {/home/bram/Documenten/Zotero/storage/L5BX65Y3/Negri en von Plato - 2001 - Sequent calculus in natural deduction style.pdf},
  journal = {Journal of Symbolic Logic},
  language = {en},
  number = {4}
}

@inproceedings{norell2008,
  title = {Dependently Typed Programming in {{Agda}}},
  booktitle = {International {{School}} on {{Advanced Functional Programming}}},
  author = {Norell, Ulf and Chapman, James},
  year = {2008},
  pages = {230--266},
  publisher = {{Springer}},
  file = {/home/bram/Documenten/Zotero/storage/B5WMETWL/Norell en Chapman - Dependently Typed Programming in Agda.pdf}
}

@misc{oconnor2014,
  title = {Context Splitting and Substructural Terms},
  author = {O'Connor, Liam},
  year = {2014},
  month = jan,
  url = {http://liamoc.net/posts/2014-01-01-context-split/index.html},
  urldate = {2020-02-18},
  file = {/home/bram/Documenten/Zotero/storage/L92KU4LZ/index.html}
}

@article{snyder2001,
  title = {Unification Theory},
  author = {Snyder, F. Baader-W.},
  year = {2001},
  volume = {1},
  pages = {447--533},
  publisher = {{Gulf Professional Publishing}},
  file = {/home/bram/Documenten/Zotero/storage/EBIEZXE8/UnifChapter.pdf},
  journal = {Handbook of automated reasoning}
}

@misc{swierstra2010,
  title = {The {{Agda Wiki}} - {{Agda Vs Coq}}},
  author = {Swierstra, Wouter},
  year = {2010},
  month = apr,
  url = {https://wiki.portal.chalmers.se/agda/pmwiki.php?n=Main.AgdaVsCoq},
  urldate = {2019-08-01},
  file = {/home/bram/Documenten/Zotero/storage/MFHS3MTE/pmwiki.html}
}

@inproceedings{vanemden1988,
  title = {Conditional {{Answers}} for {{Polymorphic Type Inference}}.},
  booktitle = {{{ICLP}}/{{SLP}}},
  author = {{van Emden}, Maarten H.},
  year = {1988},
  pages = {590--603},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Van Emden - Polymorphic Type Inference.pdf},
  keywords = {Type Inference}
}

@inproceedings{wansing1990,
  title = {Formulas-as-Types for a Hierarchy of Sublogics of Intuitionistic Propositional Logic},
  booktitle = {Workshop on {{Nonclassical Logics}} and {{Information Processing}}},
  author = {Wansing, Heinrich},
  year = {1990},
  pages = {125--145},
  publisher = {{Springer}},
  file = {/home/bram/Documenten/Artificial Intelligence/Thesis/Literatuur/Wansing - Formulas-as-types for a hierarchy of sublogics of intuitionistic propositional.pdf}
}

@misc{zavialov2018,
  title = {Why {{Dependent Haskell}} Is the {{Future}} of {{Software Development}}},
  author = {Zavialov, Vladislav},
  year = {2018},
  month = dec,
  url = {https://serokell.io/blog/2018/12/17/why-dependent-haskell},
  urldate = {2019-05-06},
  abstract = {Hi, I'm Vladislav Zavialov. For the last couple of months, my job at Serokell has been to lead our efforts to improve our primary tool \textendash{} the Glasgow Haskell Compiler (GHC). I'm focusing on making th\ldots{}},
  file = {/home/bram/Documenten/Zotero/storage/XEGEBVAV/why-dependent-haskell.html},
  journal = {Serokell},
  language = {en}
}


